EnumCompletionVisitor (groovy 2.4.11 API)
Date: 2017-04-27

Package: org.codehaus.groovy.classgen

## [Java] Class EnumCompletionVisitor

- org.codehaus.groovy.classgen.EnumCompletionVisitor

- Enums have a parent constructor with two arguments from java.lang.Enum. This visitor adds those two arguments into manually created constructors and performs the necessary super call.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EnumCompletionVisitor (CompilationUnit cu, SourceUnit su)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `addMapConstructors(ClassNode enumClass, boolean hasNoArg)`
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `void` | `visitClass(ClassNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `visitField, visitMethod, visitReturnStatement, visitProperty, visitConstructor, visitExpressionStatement, visitAssertStatement, visitTryCatchFinally, visitBlockStatement, visitCaseStatement, visitContinueStatement, visitSynchronizedStatement, visitThrowStatement, visitBreakStatement, visitCatchStatement, visitDeclarationExpression, visitClass, visitSwitch, visitWhileLoop, visitDoWhileLoop, visitForLoop, visitIfElse, visitImports, visitPackage, visitAnnotations, visitConstantExpression, visitPropertyExpression, visitListExpression, visitClassExpression, visitArgumentlistExpression, visitClosureExpression, visitTupleExpression, visitVariableExpression, visitMethodCallExpression, visitStaticMethodCallExpression, visitShortTernaryExpression, visitArrayExpression, visitConstructorCallExpression, visitPrefixExpression, visitUnaryPlusExpression, visitBooleanExpression, visitFieldExpression, visitTernaryExpression, visitRangeExpression, visitSpreadMapExpression, visitSpreadExpression, visitNotExpression, visitGStringExpression, visitUnaryMinusExpression, visitMapEntryExpression, visitBinaryExpression, visitPostfixExpression, visitAttributeExpression, visitBytecodeExpression, visitMethodPointerExpression, visitBitwiseNegationExpression, visitClosureListExpression, visitMapExpression, visitCastExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class CodeVisitorSupport` | `visitConstantExpression, visitReturnStatement, visitPropertyExpression, visitListExpression, visitClassExpression, visitExpressionStatement, visitAssertStatement, visitTryCatchFinally, visitArgumentlistExpression, visitBlockStatement, visitCaseStatement, visitContinueStatement, visitClosureExpression, visitSynchronizedStatement, visitTupleExpression, visitThrowStatement, visitVariableExpression, visitMethodCallExpression, visitBreakStatement, visitStaticMethodCallExpression, visitShortTernaryExpression, visitArrayExpression, visitConstructorCallExpression, visitPrefixExpression, visitUnaryPlusExpression, visitBooleanExpression, visitFieldExpression, visitTernaryExpression, visitRangeExpression, visitSpreadMapExpression, visitSpreadExpression, visitNotExpression, visitGStringExpression, visitUnaryMinusExpression, visitMapEntryExpression, visitBinaryExpression, visitPostfixExpression, visitAttributeExpression, visitBytecodeExpression, visitCatchStatement, visitMethodPointerExpression, visitBitwiseNegationExpression, visitClosureListExpression, visitMapExpression, visitCastExpression, visitDeclarationExpression, visitSwitch, visitWhileLoop, visitDoWhileLoop, visitForLoop, visitIfElse, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public EnumCompletionVisitor(CompilationUnit cu, SourceUnit su)

  - ### Method Detail

    - #### public static void addMapConstructors(ClassNode enumClass, boolean hasNoArg)

    - #### protected SourceUnit getSourceUnit()

    - #### public void visitClass(ClassNode node)